package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PvDaPfPara对象 pv_da_pf_para
 * 
 * @author hlf
 * @date 2022-07-11
 */
public class PvDaPfPara extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    private Date pfProcTimeAm;

    private Date pfProcTimePm;

    private Date pfDayProcTime;

    private Date pfMonthProcTime;

    private Long pfType;

    private String para;

    private String mem;

    private Long ifModelValid;

    private String pvName;

    public void setWindplantNo(Long windplantNo) 
    {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() 
    {
        return windplantNo;
    }
    public void setModelNo(Long modelNo) 
    {
        this.modelNo = modelNo;
    }

    public Long getModelNo() 
    {
        return modelNo;
    }
    public void setPfProcTimeAm(Date pfProcTimeAm) 
    {
        this.pfProcTimeAm = pfProcTimeAm;
    }

    public Date getPfProcTimeAm() 
    {
        return pfProcTimeAm;
    }
    public void setPfProcTimePm(Date pfProcTimePm) 
    {
        this.pfProcTimePm = pfProcTimePm;
    }

    public Date getPfProcTimePm() 
    {
        return pfProcTimePm;
    }
    public void setPfDayProcTime(Date pfDayProcTime) 
    {
        this.pfDayProcTime = pfDayProcTime;
    }

    public Date getPfDayProcTime() 
    {
        return pfDayProcTime;
    }
    public void setPfMonthProcTime(Date pfMonthProcTime) 
    {
        this.pfMonthProcTime = pfMonthProcTime;
    }

    public Date getPfMonthProcTime() 
    {
        return pfMonthProcTime;
    }
    public void setPfType(Long pfType) 
    {
        this.pfType = pfType;
    }

    public Long getPfType() 
    {
        return pfType;
    }
    public void setPara(String para) 
    {
        this.para = para;
    }

    public String getPara() 
    {
        return para;
    }
    public void setMem(String mem) 
    {
        this.mem = mem;
    }

    public String getMem() 
    {
        return mem;
    }
    public void setIfModelValid(Long ifModelValid) 
    {
        this.ifModelValid = ifModelValid;
    }

    public Long getIfModelValid() 
    {
        return ifModelValid;
    }

    public String getPvName() {
        return pvName;
    }

    public void setPvName(String pvName) {
        this.pvName = pvName;
    }

    /*关联表查询开始*/
    private String itemName;

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("windplantNo", getWindplantNo())
            .append("modelNo", getModelNo())
            .append("pfProcTimeAm", getPfProcTimeAm())
            .append("pfProcTimePm", getPfProcTimePm())
            .append("pfDayProcTime", getPfDayProcTime())
            .append("pfMonthProcTime", getPfMonthProcTime())
            .append("pfType", getPfType())
            .append("para", getPara())
            .append("mem", getMem())
            .append("ifModelValid", getIfModelValid())
            .toString();
    }
}
